%global momorel 5

Name:           perl-Catalyst-Plugin-Authentication-Store-Htpasswd
Version:        0.02
Release: %{momorel}m%{?dist}
Summary:        Authentication database in $c->config
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Catalyst-Plugin-Authentication-Store-Htpasswd/
Source0:        http://www.cpan.org/authors/id/D/DK/DKAMHOLZ/Catalyst-Plugin-Authentication-Store-Htpasswd-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-Authen-Htpasswd >= 0.13
BuildRequires:  perl-Catalyst-Plugin-Authentication >= 0.01
BuildRequires:  perl-Module-Build
Requires:       perl-Authen-Htpasswd >= 0.13
Requires:       perl-Catalyst-Plugin-Authentication >= 0.01
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This plugin uses Authen::Htpasswd to let your application use .htpasswd
files for it's authentication storage.

%prep
%setup -q -n Catalyst-Plugin-Authentication-Store-Htpasswd-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w $RPM_BUILD_ROOT/*




%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*/*/*/*/*
%{perl_vendorlib}/*/*/*/*/*/*
%{_mandir}/man3/*

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.02-5m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.02-4m)
- rebuild against gcc43

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.02-3m)
- use vendor

* Sat Oct 07 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.02-2m)
- delete dupclicate directory

* Mon Oct 02 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.02-1m)
- Specfile autogenerated by cpanspec 1.68 for Momonga Linux.
